Retrieve Account Log Service
Returns the account-level logging service if it exists.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/external-logging/account HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The unique identifier for the log service within the Fivetran system.
The name of the log service type within the Fivetran system. We support the following log services: azure_monitor_log, cloudwatch, datadog_log, grafana_loki, splunkLog, new_relic_log, stackdriver (Google Cloud Logging).
The boolean value specifying whether the log service is enabled.
For Logs Ingestion API authentication. The endpoint URL for your Data Collection Endpoint.
For HTTP Data Collector API authentication. Your Log Analytics workspace ID.
For Logs Ingestion API authentication. The stream name of your Data Collection Rule.
For Logs Ingestion API authentication. Your Microsoft Entra directory (tenant) ID.
For Logs Ingestion API authentication. The immutable ID of your Data Collection Rule.
For Logs Ingestion API authentication. Your application client secret.
For HTTP Data Collector API authentication. Your Log Analytics primary key.
For Logs Ingestion API authentication. Your application (client) ID.
{ "code": "Success", "message": "Account external logging service details retrieved successfully", "data": { "id": "log_id", "service": "azure_monitor_log", "enabled": true, "config": { "data_collection_endpoint": "https://my-endpoint.eastus-1.ingest.monitor.azure.com", "workspace_id": "your_workspace_id", "dcr_stream_name": "Custom-MyStream_CL", "tenant_id": "your_tenant_id", "dcr_immutable_id": "dcr-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx", "client_secret": "your_client_secret", "primary_key": "your_primary_key", "client_id": "your_client_id" } } }